import com.visibleworkings.trace.Trace;
import com.visibleworkings.trace.TraceController;
import java.util.Properties;

public class One {

    static private Trace tr = new Trace("One");

    public static void main(String[] args) {

        // Logfiles usually have unlimited size. That can be
        // changed. We'll do that and arrange for there to be one
        // backup file. 

        Properties p = new Properties();
        // Make the size of the file small. The size is in
        // characters. 
        p.setProperty("TraceLog_size", "5000");
        // One backup.
        p.setProperty("TraceLog_backups", "one");
        // Change the name so that it's different from that of other
        // examples.
        p.setProperty("TraceLog_tag", "TraceOne");
        TraceController.start(p); 

        for (int i = 0; i < 1000; i++) {
            tr.worldm("Message", new Integer(i));
        }
    }
}


